0 Пользователей и 1 Гость просматривают эту тему.
  • 10 Ответов
  • 7966 Просмотров
*

Spics

  • Новичок
  • 3
  • 0 / 0
Вообщем попросили меня поднять небольшой сайт.... Сервак я пставил сам....
Операционка FreeBSD 7.3
PHP 5.3.3
Apache 2.2
Mysql
Все ставилось из портов.

ПРоблема такая при установке мне выдается следующая статистика по функциям:

Директивы    Рекомендовано     Текущее
Safe Mode:               Выкл               Выкл    
Показывать ошибки:    Выкл               Вкл    
Загрузка файлов:    Вкл               Вкл    
Magic Quotes Runtime:    Выкл               Выкл    
Register Globals:    Выкл               Выкл    
Буферизация вывода:    Выкл               Выкл    
Session auto start:    Выкл               Выкл

Из нее следует что у меня включено отображение ошибок.
Зашел в PHP.ini исправил
error_report = E_ERROR
dysplay_errors = Off

Но при установке мне всеравно сообщается что у меня включено отображение ошибок.
Если же я продолжаю установку то
При попытке установить Demo данные мне выдает ошибку:
Error: the XML response that was returned from the server cannot be processed. >:(

по окончании установки я получаю следующее:

Синий экран с черными строчками  :o :
Strict Standards: Non-static method JLoader::import() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/import.php on line 29 >:(

в чем причина? Я с Joomla недавно работаю раньше исключительно FreeBSD обсуживал 8)
Спасибо.
*

SDKiller

  • Живу я здесь
  • 2706
  • 326 / 5
  • ...ergo sum
Re: Проблемы с Joomla 1,5,22 и PHP 5,3,3....
« Ответ #1 : 12.12.2010, 21:24:55 »
А без демо-данных не пробовал?

Пустая конфигурация под php 5.3 нормально ставится.
С демо-данными не ставил ни разу )))
*

SDKiller

  • Живу я здесь
  • 2706
  • 326 / 5
  • ...ergo sum
Re: Проблемы с Joomla 1,5,22 и PHP 5,3,3....
« Ответ #2 : 12.12.2010, 21:25:56 »
А без демо-данных не пробовал?

Пустая конфигурация под php 5.3.3 нормально ставится.
С демо-данными не ставил ни разу )))
*

Spics

  • Новичок
  • 3
  • 0 / 0
Re: Проблемы с Joomla 1,5,22 и PHP 5,3,3....
« Ответ #3 : 13.12.2010, 16:30:27 »
Без демоданных та же фигня..... выдает синий фон и кучу строчек....

Код
Strict Standards: Non-static method JLoader::import() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/import.php on line 29

Strict Standards: Non-static method JLoader::register() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/loader.php on line 71

Strict Standards: Non-static method JLoader::import() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/import.php on line 32

Strict Standards: Non-static method JLoader::register() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/loader.php on line 71

Strict Standards: Non-static method JLoader::load() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/loader.php on line 161

Strict Standards: Non-static method JLoader::register() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/loader.php on line 138

Strict Standards: Non-static method JRequest::clean() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/import.php on line 33

Strict Standards: Non-static method JRequest::_cleanArray() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/environment/request.php on line 463

Strict Standards: Non-static method JRequest::_cleanArray() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/environment/request.php on line 464

Strict Standards: Non-static method JRequest::_cleanArray() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/environment/request.php on line 465

Strict Standards: Non-static method JRequest::_cleanArray() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/environment/request.php on line 466

Strict Standards: Non-static method JRequest::_cleanArray() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/environment/request.php on line 467

Strict Standards: Non-static method JRequest::_cleanArray() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/environment/request.php on line 468

Strict Standards: Non-static method JLoader::import() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/import.php on line 35

Strict Standards: Non-static method JLoader::register() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/loader.php on line 71

Strict Standards: Non-static method JLoader::import() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/import.php on line 38

Strict Standards: Non-static method JLoader::register() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/loader.php on line 71

Strict Standards: Non-static method JLoader::import() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/joomla/import.php on line 39

Strict Standards: Non-static method JLoader::register() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/loader.php on line 71

Strict Standards: Non-static method JLoader::load() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/loader.php on line 161

Strict Standards: Non-static method JLoader::register() should not be called statically in /usr/local/www/apache22/data/kburo/libraries/loader.php on line 138
*

Magnum

  • Захожу иногда
  • 265
  • 14 / 0
  • magnum-blog.pp.ua
Re: Проблемы с Joomla 1,5,22 и PHP 5,3,3....
« Ответ #4 : 13.12.2010, 16:44:25 »
Какой параметр стоит у error_reporting в php.ini?!

Попробуй поставить так:
Код
error_reporting = E_ALL & E_NOTICE

По идее должно помочь. На сколько я помню у Joomla 1.5.x есть толко совместимость с php 5.3.х, но не полная поддержка
Лично мне помогло когда установил вывод ошибок примерно так =)
Я не волшебник. Я всего лишь учусь!
*

SDKiller

  • Живу я здесь
  • 2706
  • 326 / 5
  • ...ergo sum
Re: Проблемы с Joomla 1,5,22 и PHP 5,3,3....
« Ответ #5 : 13.12.2010, 17:43:43 »
На сколько я помню у Joomla 1.5.x есть толко совместимость с php 5.3.х, но не полная поддержка
Нормально работает на Денвере под php 5.3.3 со стандартными настройками

Здесь возможно проблема со стороны FreeBSD
*

Magnum

  • Захожу иногда
  • 265
  • 14 / 0
  • magnum-blog.pp.ua
Re: Проблемы с Joomla 1,5,22 и PHP 5,3,3....
« Ответ #6 : 14.12.2010, 00:17:57 »
Нормально работает на Денвере под php 5.3.3 со стандартными настройками

Здесь возможно проблема со стороны FreeBSD
А ты посмотри как именно стоит настройка этой опции! Денвер тоже ведь хитро настроен =)
Я не волшебник. Я всего лишь учусь!
*

dimetrius

  • Захожу иногда
  • 164
  • 8 / 1
Re: Проблемы с Joomla 1,5,22 и PHP 5,3,3....
« Ответ #7 : 14.12.2010, 00:51:51 »
Fedora, php 5.3.3, apache 2.2.15, всё замечательно.
Устанавливал и с демо данными и без, сейчас стоит несколько сайтов, работают.
Проблем у Joomla с этим никаких. Думайте что ещё может мешать.
*

Spics

  • Новичок
  • 3
  • 0 / 0
Re: Проблемы с Joomla 1,5,22 и PHP 5,3,3....
« Ответ #8 : 14.12.2010, 18:36:11 »
стоял параметр со значением
Код
error_reporting = E_ERROR
Поставил:
Код
error_reporting = E_ALL & E_NOTICE

Ситуация таже....

До обновления портов все работало.... так что со стороны фри проблем нет...
*

tevtat

  • Новичок
  • 4
  • 0 / 0
Re: Проблемы с Joomla 1,5,22 и PHP 5,3,3....
« Ответ #9 : 19.12.2010, 17:05:15 »
Система Sabayon 5.4  (клон генты)
apache 2.2,  php 5.3
Joomla 1.5.22

установил пять минут назад, даже еще толком пермишшонсы не поправил. "установил возможно все" (все равно я за роутером а это так.. для домашних нужд)

Та же самая проблема была
решил посмотреть где у меня валяется файлик php.ini так вот валяется он аж в 3 местах, погуглил нашел статейку как раз таки про отключение отображения ошибок,  но это еще не все!

Изначально редактировался файл apache2-php5/php.ini

error_reporting = E_ERROR
display_errors = Off


Потом делаем

root# cp /etc/php/apache2-php5/php.ini /etc/php/cgi-php5/php.ini

(то есть дублируем и заменяем php.ini в другой папке)

Проблема у меня решена. Остальные настройки php  я оставил рекомендованый для Joomla
*

gluck1966

  • Новичок
  • 9
  • 1 / 0
Re: Проблемы с Joomla 1.5, 22 и PHP 5, 3, 3
« Ответ #10 : 27.12.2012, 12:02:00 »
Если проблема не решается правкой php.ini, значит правится не тот файл. Проверить, какой файл настроек читает php можно с помощью функции phpinfo();  в параметре Loaded Configuration File - должен быть указан путь к php.ini, который использует php.
Подробно по настройке Apache 2.2 и php 5.3 можно почитать тут: http://siteis.ru/rabota-s-serverom/ustanovka-i-nastrojka-php
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Редактирование готового сайта на Joomla

Автор Oksana

Ответов: 8
Просмотров: 951
Последний ответ 29.11.2018, 21:11:48
от robert
Как определить версию Joomla, лишившись доступа к админке?

Автор andk

Ответов: 9
Просмотров: 21169
Последний ответ 02.08.2018, 17:33:57
от Apoca1ypto
Ошибка при внесении в настройки изменений компонента jUpgrade(обновление joomla)

Автор Ilya69

Ответов: 0
Просмотров: 1843
Последний ответ 08.05.2018, 20:23:13
от Ilya69
перенесенная Joomla не видит MySQL - в логах MySQL старт нормальный

Автор ommy

Ответов: 23
Просмотров: 2328
Последний ответ 23.01.2018, 11:20:48
от altvvc
Обновление Joomla\!

Автор SemenSemen

Ответов: 3
Просмотров: 3135
Последний ответ 14.11.2017, 10:42:58
от SemenSemen